Skip to main content
DocsPlatformsAPI ReferenceAI & Integrations
Schedule

Edit a scheduled post (content, media, platforms, time)

Deprecated: use PUT /v1/posts/:postId. Replaces the editable fields of a scheduled post and reconciles credits.

Deprecated

PUT/v1/posts/scheduled/{postId}

Authorization

accessKey
x-access-key<token>

In: header

Path Parameters

postId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/posts/scheduled/string" \  -H "Content-Type: application/json" \  -d '{    "content": "string",    "platforms": [      {        "platform": "twitter",        "accountId": "string"      }    ]  }'
{
  "success": true,
  "message": "string",
  "postId": "string",
  "scheduledFor": "2019-08-24T14:15:22Z"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}